Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisable

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDOBranchVersion`, `CDOTimeProvider`, `CDOVersionProvider`
  All Known Subinterfaces:
    `CDORevision`, `InternalCDORevision`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDORevisable
      extends CDOBranchPoint, CDOBranchVersion

  An entity that has a defined lifetime (creation plus revision) and a version in a `branch`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `FIRST_VERSION, UNSPECIFIED_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getRevised()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `getBranch, getVersion`

- - ### Method Detail

    - #### getRevised

          long getRevised()